<?php
//error_reporting(E_ALL);
//ini_set('display_errors', 1);

require "racs.php";
require "vtshowsBBB.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}
?>

<!DOCTYPE html>
<html lang="en">
<title>Diana FSM Sales</title>
<head>

<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script><link rel="stylesheet" type="text/css" href="vtxstyles.css">
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");
var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;
for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}
}

</script>


</head>
<body style='font-family:calibri;font-size:small;'>
<div style='width=30%;height:100%%;'>
<?php

$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{

$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");

if(isset($_REQUEST['starts'])){
echo "starts ok";	
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['stores'])){
$stores=$_REQUEST['stores'];}
else{
$stores='all';}

if(isset($_REQUEST['chanell'])){
$chanell=$_REQUEST['chanell'];}
else{
$chanell='all';}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($stores)!='all'){
$flt=$flt." and stores_names='".$stores."' ";}
if(strtolower($chanell)!='all'){
$flt=$flt." and chanell='".$chanell."' ";}

stps(1);
printf("<div class='sds'>");
newdash(1);
printf("</div>");


printf("<div class='mnf'>");
printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>FSM - PERFORMANCE - GT</div>");

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

$sqlst="select rgs from (select distinct zone_orders as rds,zones as rgs from rc_invoices union select distinct zone_orders,zones from rc_targets order by rds) as sbs";
$qry=mysqli_query($conn,$sqlst);


printf("<div style='width:95%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");
printf("<form method='post' action='vsregionalperfomanceZoneRsm.php?actp=rpt%s'><table style='width:80%%;font-size:13;'>",$sprt);

printf("<tr><td style='color:grey;'>Select the date range</td><td width=5%%><input type='text' id='inputField' name='starts'  value='%s' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends'  size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td>
<input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></form>",$starts,$ends);

printf("<td width=32%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td>
<td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");


printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>

<td style='border:1px solid white;text-align:center;width:5%%;'>Employee</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Target-Ton</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Primary-Ton</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Pri:%%</td>

<td style='border:1px solid white;text-align:center;width:5%%;'>RD-Ton</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>RD:%%</td>

<td style='border:1px solid white;text-align:center;width:5%%;'>Target-value</td>

<td style='border:1px solid white;text-align:center;width:5%%;'>Primary Sales</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Pri:%%</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>Primary Difict</td>

<td style='border:1px solid white;text-align:center;width:5%%;'>RD-[DB+Dir]</td>
<td style='border:1px solid white;text-align:center;width:2%%;'>Rd:%%</td>
<td style='border:1px solid white;text-align:center;width:5%%;'>DB-RD</td>
<td style='border:1px solid white;text-align:center;width:4%%;'>Direct</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
<td style='background:silver;border:1px solid white;width:2%%;' align='center'>View</td>
</tr>");

$sqlst="select mzones,tgvl,acvl,odvl,rdvl,odvlc,pcls,rdavgday,wdays,acvldir,tton,prton,odton,penodton,penodval,rdton,rddir,tgvlrd,ttonrd,znn from (select distinct rgs as mzones from (select distinct zone_orders as rds,arm_names as rgs from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' and zones<>'' union select distinct zone_orders,arm_names from rc_targets ".$flt."  and dates>='".$starts."' and dates<='".$ends."'and chanell='GENERAL TRADE' union select distinct zone_orders,arm_names from rd_targets ".$flt."  and dates>='".$starts."' and dates<='".$ends."'and chanell='GENERAL TRADE' union select distinct zone_orders,arm_names from rd_saleinv ".$flt."  and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' union select distinct zone_orders,arm_names from rc_orders ".$flt."  and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' order by rds) as zns) as ags 

left join (select arm_names,sum(box_qty*box_price) as tgvl,sum(box_qty*packets_per_box*packet_weights/1000000) as tton,arm_names as znn from rc_targets ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' group by arm_names) as tgs on tgs.arm_names=mzones 

left join (select arm_names,sum(box_qty*box_price) as tgvlrd,sum(box_qty*packets_per_box*packet_weights/1000000) as ttonrd from rd_targets ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' group by arm_names) as tgsrd on tgsrd.arm_names=mzones 

left join (select arm_names,sum(box_qty*box_price) as acvl,sum(box_qty*packets_per_box*packet_weights/1000000) as prton from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by arm_names) 
as acs on acs.arm_names=mzones

left join (select arm_names,sum(box_qty*box_price) as odvl,sum(box_qty*packets_per_box*packet_weights/1000000) as odton from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and order_status<>'CANCELLED' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by arm_names) 
as acss on acss.arm_names=mzones 

left join (select arm_names,sum(box_qty*box_price) as odvlc from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by arm_names) 
as acssod on acssod.arm_names=mzones 

left join (select arm_names,sum(box_qty*box_price) as penodval,sum(box_qty*packets_per_box*packet_weights/1000000) as penodton from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and order_status='PENDING'and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by arm_names) 
as acssopd on acssopd.arm_names=mzones 

left join (select arm_names,sum(pcs_qty*pcs_price) as rdvl,sum(pcalls) as pcls,sum(pcs_qty*pcs_price)/count(distinct(invoice_number))*count(distinct(agent_names)) as rdavgday,count(distinct(dates)) as wdays,sum(pcs_qty*packet_weights)/1000000 as rdton from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and chanell='GENERAL TRADE' group by arm_names) 
as rds on rds.arm_names=mzones

left join (select arm_names,sum(box_qty*box_price) as acvldir,sum(box_qty*packets_per_box*packet_weights/1000000) as rddir from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and agent_types='DIRECT' and chanell='GENERAL TRADE' AND zones<>'H-OFFICE' group by arm_names) 
as acsdr on acsdr.arm_names=mzones";

$tqty=0;
$twt=0;
$tvl=0;
$tds=0;
$vat=0;
$tgv=0;
$acv=0;
$tgw=0;
$acw=0;
$odv=0;
$rdv=0;
$pcl=0;
$odvlc=0;
$rdavgday=0;
$wdays=0;
$sttot=0;
$tottrton=0;
$totprton=0;
$totodton=0;
$penodton=0;
$penodvl=0;
$rdton=0;
$totrdton=0;
$totrdvalue=0;
$dbrd=0;
$ddrd=0;
$rddt=0;
$rdt=0;

$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[1];
$odv=$odv+$rst[3];
$acv=$acv+$rst[2];
$rdv=$rdv+$rst[4]+$rst[9];
$pcl=$pcl+$rst[6];
$odvlc=$odvlc+$rst[5];
$rdavgday=$rdavgday+$rst[7];
$wdays=$wdays+$rst[8];
$sttot=$sttot+$rst[10]+$rst[11]+$rst[12]-$rst[9];
$dbrd=$dbrd+$rst[4];
$ddrd=$ddrd+$rst[9];
$tottrton=$tottrton+$rst[10];
$totprton=$totprton+$rst[11];
$totodton=$totodton+$rst[12];
$penodton=$penodton+$rst[13];
$penodvl=$penodvl+$rst[14];
$rdton=$rdton+$rst[15]+$rst[16];
$totrdton+=$rst[18];
$rdt+=$rst[15]+$rst[16];
$totrdvalue+=$rst[17];
$pcs=0;
$rdss=0;
	
printf("<tr style='border-bottom:1px solid silver;'>
<td>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right' style='background-color: #faa997;'>%s</td>

<td align='right'>%s</td>
<td align='right' style='background-color: #faa997;'>%s</td>

<td align='right'>%s</td>

<td align='right'>%s</td>
<td align='right' style='background-color: #faa997;'>%s</td>
<td align='right'>%s</td>

<td align='right'>%s</td>
<td align='right' style='background-color: #faa997;'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='center'><a href='rpmrdagenttgsummary2.php?starts=%s&ends=%s&arm_names=%s' target='_blank'>Agent</a></td>

<td align='center'><a href='rpmrangenew.php?starts=%s&ends=%s&arm_names=%s' target='_blank'>Range</a></td>

<td align='center'><a href='rpmtgttitemwisetgsummary2.php?starts=%s&ends=%s&arm_names=%s' target='_blank'>items</a></td>

</tr>",
$rst[0],
number_format($rst[10],2,'.',','),
number_format($rst[11],2,'.',','),
($rst[10] != 0 ? number_format(($rst[11] / $rst[10]) * 100, 2, '.', ',') : '0.00'),
number_format($rst[15]+$rst[16],2,'.',','),
($rst[10] != 0 ? number_format(($rst[15] + $rst[16]) / $rst[10] * 100, 2, '.', ',') : '0.00'),

number_format($rst[1],0,'.',','),

number_format($rst[2],0,'.',','),
($rst[1] != 0 ? number_format(($rst[2] / $rst[1]) * 100, 2, '.', ',') : '0.00'),
number_format($rst[2]-$rst[1],0,'.',','),

number_format($rst[4]+$rst[9],0,'.',','),
($rst[1] != 0 ? number_format(($rst[4] + $rst[9]) / $rst[1] * 100, 2, '.', ',') : '0.00'),
number_format($rst[4],0,'.',','),
number_format($rst[9],0,'.',','),

$starts,$ends,$rst[0],$starts,$ends,$rst[0],$starts,$ends,$rst[0],'GENERAL TRADE'
);
}
	
printf("<tr style='font-weight:bold;'>
<td>Total</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='right'>%s</td>

<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>

<td align='center'><a href='rpmrdagenttgsummary2.php?starts=%s&ends=%s&zones=%s&chanell=GENERAL TRADE' target='_blank'>Agents</a></td>

<td align='center'><a href='rpmrangenew.php?starts=%s&ends=%s' target='_blank'>Range</a></td>

<td align='center'><a href='rpmtgttitemwisetgsummary2.php?starts=%s&ends=%s&chanell=GENERAL TRADE' target='_blank'>items</a></td>

</tr>",
number_format($tottrton,2,'.',','),
number_format($totprton,2,'.',','),
number_format(($totprton/$tottrton)*100,2,'.',','),
number_format($rdt,2,'.',','),

number_format(($rdt/$tottrton) * 100,2,'.',','),

number_format($tgv,0,'.',','),
number_format($acv,0,'.',','),
number_format(($acv/$tgv)*100,2,'.',','),
number_format($acv-$tgv,0,'.',','),

number_format($rdv,0,'.',','),
number_format(($rdv/$tgv)*100,1,'.',','),
number_format($dbrd,0,'.',','),
number_format($ddrd,0,',',','),
$starts,$ends,$zones,$starts,$ends,$starts,$ends,$zones,'GENERAL TRADE');


printf("</table></div>");

}

?>

</div>
</body>
</html>